package com.qmth.paper.library.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.paper.library.business.entity.PaperScanTaskDetail;
import com.qmth.paper.library.business.mapper.PaperScanTaskDetailMapper;
import com.qmth.paper.library.business.service.PaperScanTaskDetailService;
import com.qmth.paper.library.common.util.ServletUtil;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 扫描任务详情表 服务实现类
 * </p>
 */
@Service
public class PaperScanTaskDetailServiceImpl extends ServiceImpl<PaperScanTaskDetailMapper, PaperScanTaskDetail> implements PaperScanTaskDetailService {

    @Override
    public PaperScanTaskDetail getByPaperScanTaskIdAndStudentId(Long paperScanTaskId, Long studentId) {
        Long schoolId = Long.valueOf(ServletUtil.getRequestHeaderSchoolId().toString());
        QueryWrapper<PaperScanTaskDetail> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(PaperScanTaskDetail::getSchoolId, schoolId)
                .eq(PaperScanTaskDetail::getPaperScanTaskId, paperScanTaskId)
                .eq(PaperScanTaskDetail::getStudentId, studentId);
        return this.getOne(queryWrapper);
    }
}
